.uk-light, .uk-section-primary:not(.uk-preserve-color), .uk-section-secondary:not(.uk-preserve-color), .uk-tile-primary:not(.uk-preserve-color), .uk-tile-secondary:not(.uk-preserve-color), .uk-card-primary.uk-card-body, .uk-card-primary>:not([class*="uk-card-media"]), .uk-card-secondary.uk-card-body, .uk-card-secondary>:not([class*="uk-card-media"]), .uk-overlay-primary, .uk-offcanvas-bar, .uk-overlay-secondary, .uk-overlay-gradient, .uk-overlay-gradient-primary  {
    color: rgba(255, 255, 255, 1);
}

textarea.uk-textarea::placeholder {
    color: rgba(255, 255, 255, 0.65) !important;
}
textarea.uk-textarea::-webkit-input-placeholder {
    color: rgba(255, 255, 255, 0.65) !important;
}
#message.formfield__textarea.uk-textarea {
    color: #ffffff !important;
    -webkit-text-fill-color: #ffffff !important;
}

/* 2. Placeholder-Farbe separat überschreiben (NACH dem Textblock!) */
#message.formfield__textarea.uk-textarea::placeholder {
    color: rgba(255, 255, 255, 0.65) !important;
}

/* optional für ältere Browser */
#message.formfield__textarea.uk-textarea:-ms-input-placeholder {
    color: rgba(255, 255, 255, 0.65) !important;
}
#message.formfield__textarea.uk-textarea::-webkit-input-placeholder {
    color: rgba(255, 255, 255, 0.65) !important;
}

/**********************************/
/* Weißer Hintergrund + weißer Rand */
.uk-checkbox {
    background-color: #fff !important;
    border: 2px solid #fff !important;
}

/* Checkbox aktiv */
.uk-checkbox:checked {
    background-color: #fff !important;
    border-color: #fff !important;

    /* Hier ersetzen wir das UIkit-Häkchen durch ein grünes SVG */
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='14' viewBox='0 0 20 20' fill='none' stroke='%2300cc44' stroke-width='3' stroke-linecap='round' stroke-linejoin='round' xmlns='http://www.w3.org/2000/svg'%3E%3Cpolyline points='4 11 8 15 16 6'/%3E%3C/svg%3E") !important;

    background-size: 14px 14px !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
}


.formfield__input.uk-input {
    color: #fff !important;      /* normal text */
}

/*headlines*/

.uk-heading-large {
    font-size: 3.2rem !important;
    line-height: 1.3;
}